aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna/issue147/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/gna/issue147/testsuite.sh')
-rwxr-xr-xtestsuite/gna/issue147/testsuite.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/testsuite/gna/issue147/testsuite.sh b/testsuite/gna/issue147/testsuite.sh
new file mode 100755
index 000000000..84a22c0a7
--- /dev/null
+++ b/testsuite/gna/issue147/testsuite.sh
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+GHDL_STD_FLAGS=--workdir=work1
+mkdir work1
+analyze simple.vhdl
+elab_simulate simple
+
+clean
+
+rmdir work1
+
+# Some simple checks
+if test -f simple || test -f 'e~simple.o'; then
+ echo "Not correctly cleaned"
+ exit 1
+fi
+
+echo "Test successful"